> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dynamic contact lists

> Get dynamic lists for a portal. Dynamic lists automatically update themselves when new contacts are created or are updated, meaning that you can't manually add contacts to dynamic lists.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json GET /contacts/v1/lists/dynamic
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/dynamic:
    get:
      summary: Get dynamic contact lists
      description: >-
        Get dynamic lists for a portal. Dynamic lists automatically update
        themselves when new contacts are created or are updated, meaning that
        you can't manually add contacts to dynamic lists.
      operationId: getcontactsv1listsdynamic
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            An integer that represents the number of lists that you want
            returned to your call. Defaults to 20, with a maximum of 250.
          schema:
            type: integer
            default: 20
            maximum: 250
        - name: offset
          in: query
          required: false
          description: >-
            An integer that represents where to start your list pull from. You
            can use this offset parameter to pull lists that weren't in your
            initial call.
          schema:
            type: integer
      responses:
        '200':
          description: Successful response with dynamic contact lists
          content:
            application/json:
              schema:
                type: object
                properties:
                  lists:
                    type: array
                    items:
                      $ref: '#/components/schemas/ContactList'
                  offset:
                    type: integer
                  has-more:
                    type: boolean
components:
  schemas:
    ContactList:
      type: object
      properties:
        listId:
          type: integer
        name:
          type: string
        dynamic:
          type: boolean
        listType:
          type: string
          enum:
            - STATIC
            - DYNAMIC
        portalId:
          type: integer
        createdAt:
          type: integer
        updatedAt:
          type: integer
        internalListId:
          type: integer
        deleteable:
          type: boolean
        metaData:
          type: object
          properties:
            processing:
              type: string
            size:
              type: integer
            error:
              type: string
            lastProcessingStateChangeAt:
              type: integer
            lastSizeChangeAt:
              type: integer
        filters:
          type: array
          items:
            type: array
            items:
              type: object

````